=== debian/control ===
Source: kidentitymanagement
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5emoticons-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5pimtextedit-dev (>= 19.12.3~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/kidentitymanagement
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kidentitymanagement
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kidentitymanagement

Package: libkf5identitymanagement-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: library for managing user identities
 This library provides an API for managing user identities.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5identitymanagement-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5coreaddons-dev (>= 5.31.0~),
         libkf5identitymanagement5abi1 (= ${binary:Version}),
         libkf5pimtextedit-dev (>= 19.12.3~),
         ${misc:Depends},
Description: library for managing user identities - development files
 This library provides an API for managing user identities.
 .
 This package contains the development files.

Package: libkf5identitymanagement5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5IdentityManagement
Architecture: any
Multi-Arch: same
Depends: libkf5identitymanagement-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for managing user identities
 This library provides an API for managing user identities.
 .
 This package is part of the KDE Development Platform PIM libraries module.
