## kidentitymanagement 20.08.1

=== debian/changelog ===
kidentitymanagement (20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:53:48 +0100

kidentitymanagement (20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:20:14 +0100
