=== debian/changelog ===
kidentitymanagement (20.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * Minimize the upstream GPG signing key.

 -- Sandro Knauß <hefee@debian.org>  Wed, 16 Dec 2020 01:52:14 +0100

kidentitymanagement (20.08.2-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Tue, 20 Oct 2020 00:08:03 +0200

kidentitymanagement (20.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update repository related entries to metadata file.
  * Add Bug-* entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Fri, 16 Oct 2020 00:52:25 +0200

kidentitymanagement (20.04.1-2) unstable; urgency=medium

  * Team upload.
  * Explicitly add the gettext build dependency.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
  * Unregister the old /etc/xdg/kidentitymanagement.categories, and
    /etc/xdg/kidentitymanagement.renamecategories conffiles.
  * Update lintian overrides.
  * Drop patch set_icontheme.diff, as it seems not needed anymore
    (signaturetest still passes).

 -- Pino Toscano <pino@debian.org>  Sat, 22 Aug 2020 10:09:38 +0200

kidentitymanagement (20.04.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.04.1).
  * Update build-deps and deps with the info from cmake.
  * Remove not needed Build-Depends.
  * Remove not needed Depends.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:59:43 +0200

kidentitymanagement (20.04.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update watch file to the new release-service location.
  * Bump compat level to 13.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (19.12.3).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (20.04.0).
  * Update patch hunks.
  * Enable hardening all.
  * Wrap long lines in changelog entries: 16.04.1-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 May 2020 12:22:03 +0200
