=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: kidentitymanagement
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 9),
+               debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
@@ -14,7 +15,7 @@
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libkf5pimtextedit-dev (>= 21.08.1~),
+               libkf5pimtextedit-dev (>= 21.12.3~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
                pkg-kde-tools (>> 0.15.15),
@@ -41,7 +42,7 @@
 Multi-Arch: same
 Depends: libkf5coreaddons-dev (>= 5.31.0~),
          libkf5identitymanagement5abi1 (= ${binary:Version}),
-         libkf5pimtextedit-dev (>= 21.08.1~),
+         libkf5pimtextedit-dev (>= 21.12.3~),
          ${misc:Depends},
 Description: library for managing user identities - development files
  This library provides an API for managing user identities.
