## kidentitymanagement 22.08.1

=== debian/changelog ===
kidentitymanagement (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:40:22 +0100

kidentitymanagement (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:50:12 +0100

kidentitymanagement (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:27:47 +0100

kidentitymanagement (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:01:55 +0100

kidentitymanagement (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Update install files.
  * Update symbols.
  * New library package libkf5identitymanagementwidgets5
  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:00:14 +0100
