=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libkf5pimtextedit-dev (>= 21.12.3~),
+               libkf5pimtextedit-dev (>= 22.08.1~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
                pkg-kde-tools (>> 0.15.15),
@@ -42,7 +42,8 @@
 Multi-Arch: same
 Depends: libkf5coreaddons-dev (>= 5.31.0~),
          libkf5identitymanagement5abi1 (= ${binary:Version}),
-         libkf5pimtextedit-dev (>= 21.12.3~),
+         libkf5identitymanagementwidgets5 (= ${binary:Version}),
+         libkf5pimtextedit-dev (>= 22.08.1~),
          ${misc:Depends},
 Description: library for managing user identities - development files
  This library provides an API for managing user identities.
@@ -61,3 +62,12 @@
  This library provides an API for managing user identities.
  .
  This package is part of the KDE Development Platform PIM libraries module.
+
+Package: libkf5identitymanagementwidgets5
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: library for managing user identities widgets
+ This library provides an API for managing user identities with widgets.
+ .
+ This package is part of the KDE Development Platform PIM libraries module.
